=== debian/changelog ===
luckyluks (2.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #914972)

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Tue, 25 Jan 2022 08:05:25 -0300
