=== debian/control ===
Source: luckyluks
Section: misc
Priority: optional
Maintainer: Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-all
Standards-Version: 4.6.0.1
Homepage: https://salsa.debian.org/debian/luckyluks
Vcs-Browser: https://salsa.debian.org/debian/luckyluks
Vcs-Git: https://salsa.debian.org/debian/luckyluks.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: luckyluks
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         cryptsetup,
         sudo,
         python3-pyqt5,
         tcplay
Description: GUI for creating and unlocking LUKS/TrueCrypt
 This program is a Linux GUI for creating and (un-)locking encrypted volumes
 from container files. Unlocked containers leave an icon in the systray as
 a reminder to close them eventually. Supports cryptsetup/LUKS and Truecrypt
 container files.
