=== debian/changelog ===
luckyluks (2.1.0-3) unstable; urgency=medium

  * Source-only upload.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Mon, 31 Jul 2023 14:56:31 -0300

luckyluks (2.1.0-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright:
      - Converted the last paragraph of the GPL-3+ in a comment.
      - Updated packaging copyright years.
  * debian/patches/010_hide-desktop-from-appstream.patch: created patch to hide
    desktop file from AppStream.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Thu, 27 Jul 2023 12:29:56 -0300

luckyluks (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0.
  * d/control: updated Homepage field. (Closes: #1005855)

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Tue, 22 Feb 2022 14:27:53 -0300
