=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
                dh-python,
                python3-setuptools,
                python3-all
-Standards-Version: 4.6.0.1
-Homepage: https://salsa.debian.org/debian/luckyluks
+Standards-Version: 4.6.2
+Homepage: https://github.com/jas-per/luckyLUKS
 Vcs-Browser: https://salsa.debian.org/debian/luckyluks
 Vcs-Git: https://salsa.debian.org/debian/luckyluks.git
 Testsuite: autopkgtest-pkg-python
